Compatibility among carbon[1.1.1][1.1.0]+spark[1.6][2.1.0]

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Compatibility among carbon[1.1.1][1.1.0]+spark[1.6][2.1.0]

Mic Sun
Hi,all
        Recently i want to test carbon1.1.1+spark2.1.0 performance and test environment already have carbon1.1.0+spark1.6 and carbon1.1.1+spark1.6 and carbon tables generated.
        I tried reading carbon tables generated from carbon1.1.0+spark1.6 and carbon1.1.1+spark1.6    as well as delete in subquery data generated from carbon1.1.1+spark1.6   using carbon1.1.1+spark2.1.0 roughly and all worked ok.
        My question is do they have compatibility problems and may impare performance?Or should I regenerate carbon table using carbon1.1.1+spark2.1.0 ?
        And I break my question into 3 parts:
        1.Will IUD and other opeartion(like sub-query) works fine if use carbon1.1.1+spark2.1.0 to operate carbon1.1.0+spark1.6?
        2.Will use carbon1.1.1+spark2.1.0 to operate carbon1.1.0+spark1.6 impare performance or should regenerate data using  carbon1.1.1+spark2.1.0 while tesing carbon1.1.1+spark2.1.0?
        3.Will use carbon1.1.1+spark2.1.0 to operate carbon1.1.1+spark1.6 impare performance or should regenerate data using  carbon1.1.1+spark2.1.0 while tesing carbon1.1.1+spark2.1.0?
       





[hidden email]
FFCS研究院